ServerEvents.recipes(event => {
	let inter = "v_borne:incomplete_quasihexone_casing"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("create_dd:creative_casing").withChance(92.0),
				Item.of("mekanism:pellet_antimatter").withChance(6.0),	// this is the item that will appear in JEI as the result
                Item.of("v_borne:fortified_planks").withChance(2.0),
            ],
            "v_borne:fortified_planks",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter, [inter, 'createcasing:chorium_ingot']),
				event.recipes.createDeploying(inter, [inter, 'mekanism:enriched_refined_obsidian']),
				event.recipes.createFilling(inter, [inter, Fluid.of('v_borne:catalyzing_fluid', 750)]),
				event.recipes.createDeploying(inter, [inter, 'mekanism:pellet_antimatter']),
				event.recipes.createDeploying(inter, [inter, 'v_borne:pulsium']),
                event.recipes.createPressing(inter, inter),
            ]
        )
        .transitionalItem(inter)
        .loops(4); // set the transitional item and the number of loops
	event.recipes.create.mechanical_crafting('create:creative_motor', [
    'ADEBJ',
	'HCIFG',
    'ADEBJ'
  ], {
	A: 'create_dd:creative_casing',
	B: 'vintageimprovements:refined_obsidian_sheet',
	C: 'create_new_age:copper_circuit',
    D: 'createindustry:capacitor',
	E: 'create_new_age:overcharged_diamond_wire',
	F: 'create_dd:integrated_mechanism',
	G: 'create:shaft',
	H: 'v_borne:interstellar_alloy',
	I: 'createindustry:electric_motor',
	J: 'createcasing:chorium_ingot',
  })
	event.recipes.create.mechanical_crafting('vs_clockwork:creative_gravitron', [
    'HGH',
	'BCB',
    'DED',
	'DFD',
	' A '
  ], {
	A: 'vintageimprovements:refined_obsidian_sheet',
	B: 'create:brass_hand',
	C: 'vs_clockwork:wanderlite_matrix',
    D: 'createcasing:chorium_ingot',
	E: 'create_dd:integrated_mechanism',
	F: 'create_dd:creative_casing',
	G: 'v_borne:pulsium',
	H: 'mekanism:supercharged_coil'
  })
	event.recipes.create.mechanical_crafting('create:creative_fluid_tank', [
    'BAB',
	'CDC',
    'BAB'
  ], {
	A: 'create_dd:creative_casing',
	B: 'v_borne:pulsium',
	C: 'createindustry:heavy_machinery_casing',
    D: 'create:fluid_tank'
  })
	event.recipes.create.mechanical_crafting('create:handheld_worldshaper', [
	'AHA',
    'EDE',
	'FCF',
    'IBI',
	' G '
  ], {
	A: 'v_borne:interstellar_alloy',
	B: 'create:creative_fluid_tank',
	C: 'create:creative_motor',
	D: 'vs_clockwork:creative_gravitron',
	E: 'balancedflight:ascended_flight_ring',
	F: 'mekanism:qio_drive_supermassive',
	G: 'create_dd:creative_casing',
	H: 'create:wand_of_symmetry',
	I: 'createcasing:chorium_ingot'
  })
	event.recipes.create.mechanical_crafting('minecraft:nether_star', [
    ' B ',
	'BAB',
    ' B '
  ], {
	A: 'mekanism:pellet_antimatter',
	B: 'v_borne:pulsium',
  })
	event.recipes.create.mechanical_crafting('create_sa:creative_filling_tank', [
    'ACA',
	'DBD',
    'ACA'
  ], {
	A: 'create_sa:large_filling_tank',
	B: 'mekanism:pellet_antimatter',
	C: 'v_borne:pulsium',
	D: 'create_new_age:overcharged_diamond'
  })
	event.recipes.create.mechanical_crafting('buildinggadgets:construction_paste_container_creative', [
    'CBC',
	'DAD',
    'CBC'
  ], {
	A: 'mekanism:pellet_antimatter',
	B: 'v_borne:pulsium',
	C: 'buildinggadgets:construction_paste_container_t3',
	D: 'create_new_age:overcharged_diamond'
  })
	event.recipes.create.mechanical_crafting('pipez:infinity_upgrade', [
    'ABA',
	'BCB',
    'ABA'
  ], {
	A: 'mekanism:pellet_antimatter',
	B: 'minecraft:redstone_block',
	C: 'pipez:ultimate_upgrade',
  })
	event.shapeless(
  Item.of('create_connected:creative_fluid_vessel', 1), // arg 1: output
	[
		'create:creative_fluid_tank'
	])
	event.shapeless(
  Item.of('create:creative_fluid_tank', 1), // arg 1: output
	[
		'create_connected:creative_fluid_vessel'
	])
	event.recipes.create.compacting([
	'create:creative_blaze_cake',
	], ['create:blaze_cake', 'v_borne:interstellar_alloy']).superheated()
})